## matplotlib 0.99.1.2

=== debian/changelog ===
matplotlib (0.99.1.2-3ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop python-qt-dev from build-depends and python-qt3 from
      python-matplotlib suggests to support python-qt3 removal.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 06 Feb 2010 18:38:21 +0100

matplotlib (0.99.1.2-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - Recommends python-tk directly and Suggests all other other Python
      bindings (changes from Ubuntu); this way the default backend ('TkAgg')
      will work out-of-the-box and the others will need manual bindings
      installation; Closes: #563137

  [ Benjamin Drung ]
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Add trailing blank line to debian/NEWS.
  * Add platform entry for GNU/Hurd to 10_build_fix.patch; thanks to Pino
    Toscano for the patch (Closes: #568599).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 06 Feb 2010 09:34:01 +0100

matplotlib (0.99.1.2-2ubuntu2) lucid; urgency=low

  * Drop python-qt-dev from build-depends and python-qt3 from
    python-matplotlib suggests to support python-qt3 removal
    - Update README.debian

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Jan 2010 15:29:44 -0500

matplotlib (0.99.1.2-2ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 28 Dec 2009 16:22:14 +0100

matplotlib (0.99.1.2-2) unstable; urgency=low

  * Build depend on texlive-latex-recommended instead of latex-ucs to fix FTBFS
    (Closes: #562346).
  * Bump python-numpy dependency to version 1.3.0 (Closes: #559990).
  * Add ${misc:Depends} to Depends.
  * Switch to 3.0 (quilt) source format.
  * Refresh patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 28 Dec 2009 15:57:32 +0100

matplotlib (0.99.1.2-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 15 Nov 2009 23:29:52 +0100

matplotlib (0.99.1.2-1) unstable; urgency=low

  * New upstream release.
  * Fix spelling error in doc-base abstract field.
  * Add missing section field to doc-base file.
  * Convert patch system back to quilt and use DEP-3 patch tagging guidelines.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 15 Nov 2009 22:17:31 +0100

matplotlib (0.99.1.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 14 Nov 2009 22:15:45 +0100

matplotlib (0.99.1.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - added python-wxgtk2.8-dbg to b-d (needed to build -dbg package)
    - added python-imaging to b-d (needed for -doc package)
    - added librsvg2-common to Suggests of python-matplotlib, needed by GTKAgg
      backend; thanks to Jonas for the report and suggestion; Closes: #548874
    - moved python-excelerator from Depends to Suggests; thanks to W. Martin
      Borgert for the report; Closes: #547437
    - removed Ondrej from Uploaders: thanks for your work!
  * debian/patches/30_doc_pass_dpi.dpatch
    - pass DPI when building doc images
  * debian/python-matplotlib-doc.doc-base
    - added doc-base

  [ Benjamin Drung ]
  * wrote 05-find-tcl-tk-directory.dpatch
  * strip not working parts from 10_build_fix.dpatch
  * debian/rules
    - refresh clean target
  * link to fonts in ttf-lyx to make lintian happy
  * Add latex-ucs and texlive-fonts-recommended to Build-Depends
    (Closes: #551248).
  * Demote GUI toolkits from Depends to Recommends; thanks to Thomas Bechtold
    for this hint (Closes: #547437).
  * Install lib/matplotlib/mpl-data/lineprops.glade; thanks to Ambrose Andrews
    for the report (Closes: #518488).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 08 Nov 2009 21:58:23 +0100

matplotlib (0.99.0-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #419885), remaining changes:
    - Explicitly depend on python-tk as workaround for LP #301007; drop these
      changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 18 Sep 2009 10:13:37 +0200

matplotlib (0.99.0-1) unstable; urgency=low

  * New upstream release
    - thanks to Michael S. Gilbert for the report; Closes: #541146
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!
    - bump Standards-Version to 3.8.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Sep 2009 12:46:17 +0200

matplotlib (0.98.5.3-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Build with tcl/tk8.5 as python-tk was build with tcl/tk8.5; thanks to Lucas
    Nussbaum for the report; Closes: #536985 (RC bug, hence urgency=medium)
  * Bump Standards-Version to 3.8.2 (no changes).

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2009 10:16:45 +0200

matplotlib (0.98.5.3-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #382467), remaining changes:
    - Build with tcl/tk8.5 as python-tk was build with tcl/tk8.5.
  * debian/control: Explicitly depend on python-tk as workaround for LP #301007;
    drop these changes if an auto backend discovery is implemented by upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jun 2009 18:22:43 +0200

matplotlib (0.98.5.3-1) unstable; urgency=low

  [ Benjamin Drung ]
  * debian/control
    - Rename python-enthought-traits to python-traits
    - Move python-matplotlib-dbg to section debug
    - Build depends on python-qt4
    - Update my e-mail address.

