=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>,
           Sandro Tosi <morph@debian.org>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7),
               dvipng,
               graphviz,
               ipython,
               libfreetype6-dev,
               libgtk2.0-dev,
               libpng-dev,
               python-all-dbg (>= 2.4.4-6),
               python-all-dev (>= 2.3.5-7),
               python-configobj,
               python-dateutil,
               python-epydoc,
               python-gtk2-dev,
               python-imaging,
               python-numpy (>= 1:1.3.0),
               python-numpy-dbg (>= 1:1.3.0),
               python-pkg-resources,
               python-qt4,
               python-qt4-dev,
               python-setuptools,
               python-sphinx (>= 0.5.1),
               python-support (>= 1.0.0),
               python-tk (>= 2.5.2-1.1),
               python-traits (>= 2.0),
               python-tz,
               python-wxgtk2.8,
               python-wxgtk2.8-dbg,
               tcl8.5-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.5-dev,
               zlib1g-dev
XS-Python-Version: all
Standards-Version: 3.8.4
XS-DM-Upload-Allowed: yes
Homepage: http://matplotlib.sf.net/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/

Package: python-matplotlib
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: python-cairo,
         python-dateutil,
         python-gobject,
         python-matplotlib-data (>= ${source:Version}),
         python-numpy (>= 1:1.3.0),
         python-pyparsing,
         python-tz,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-glade2,
            python-tk (>= 2.5.2-1.1)
Provides: ${python:Provides}
Conflicts: python2.4-matplotlib
Replaces: python2.4-matplotlib
Enhances: ipython
Suggests: dvipng,
          ipython (>= 0.6.3),
          librsvg2-common,
          python-configobj,
          python-excelerator,
          python-matplotlib-doc,
          python-scipy,
          python-traits (>= 2.0),
          texlive-extra-utils,
          texlive-latex-extra,
          python-gtk2,
          python-wxgtk2.8,
          python-qt3,
          python-qt4
Description: Python based plotting system in a style similar to Matlab
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.

Package: python-matplotlib-data
Architecture: all
Depends: ttf-lyx, ${misc:Depends}
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-all-dbg,
         python-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python-matplotlib.
