## matplotlib 0.99.3

=== debian/changelog ===
matplotlib (0.99.3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Drop python-qt-dev from build-depends and python-qt3 from
      python-matplotlib suggests to support python-qt3 removal. Reflect
      this in README.Debian.

 -- Andreas Wenning <awen@awen.dk>  Fri, 25 Jun 2010 12:53:04 +0000

matplotlib (0.99.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/05-find-tcl-tk-directory.patch
    - removed, now merged upstream
  * debian/patches/10_build_fix.patch
    - adapted to new upstream code
  * debian/pycompat
    - removed, not needed
  * debian/mkcopyright.sh
    - removed, not needed anymore

 -- Sandro Tosi <morph@debian.org>  Tue, 22 Jun 2010 00:32:30 +0200
