=== debian/control ===
--- 
+++ 
@@ -77,7 +77,6 @@
           texlive-latex-extra,
           python-gtk2,
           python-wxgtk2.8,
-          python-qt3,
           python-qt4
 Description: Python based plotting system in a style similar to Matlab
  Matplotlib is a pure Python plotting library designed to bring
