=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
-           Sandro Tosi <morph@debian.org>,
-           Benjamin Drung <bdrung@ubuntu.com>
+           Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
                graphviz,
@@ -23,6 +21,7 @@
                python-numpy (>= 1:1.3.0),
                python-numpy-dbg (>= 1:1.3.0),
                python-pkg-resources,
+               python-qt-dev,
                python-qt4,
                python-qt4-dev,
                python-setuptools,
@@ -33,6 +32,7 @@
                python-tz,
                python-wxgtk2.8,
                python-wxgtk2.8-dbg,
+               python-xlwt,
                tcl8.5-dev,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -40,15 +40,13 @@
                tk8.5-dev,
                zlib1g-dev
 XS-Python-Version: all
-Standards-Version: 3.8.4
-XS-DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
 Homepage: http://matplotlib.sf.net/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/
 
 Package: python-matplotlib
 Architecture: any
-XB-Python-Version: ${python:Versions}
 Depends: python-cairo,
          python-dateutil,
          python-gobject,
@@ -59,25 +57,22 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: python-glade2,
-            python-tk (>= 2.5.2-1.1)
-Provides: ${python:Provides}
-Conflicts: python2.4-matplotlib
-Replaces: python2.4-matplotlib
+Recommends: python-glade2, python-tk (>= 2.5.2-1.1)
 Enhances: ipython
 Suggests: dvipng,
           ipython (>= 0.6.3),
           librsvg2-common,
           python-configobj,
           python-excelerator,
+          python-gtk2,
           python-matplotlib-doc,
+          python-qt3,
+          python-qt4,
           python-scipy,
           python-traits (>= 2.0),
+          python-wxgtk2.8,
           texlive-extra-utils,
-          texlive-latex-extra,
-          python-gtk2,
-          python-wxgtk2.8,
-          python-qt4
+          texlive-latex-extra
 Description: Python based plotting system in a style similar to Matlab
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to
