=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 build-indep-stamp: $(DEFPY:%=build-%-stamp)
 	dh_testdir
 
+	# add information to use local copy of 'sampledata' and bypass downloading
+	echo "examples.download : False" >> $(CURDIR)/doc/matplotlibrc
+	echo "examples.directory : $(CURDIR)/sampledata" >> $(CURDIR)/doc/matplotlibrc
+
 	# build the doc
 	-( cd doc ; MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
 		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )
@@ -30,6 +34,13 @@
 	python$* ./setup.py build $(PY_BUILD_FLAGS)
 	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)
 
+#ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+#	LIB=$$(python$$* -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
+#	PYTHONPATH=$$LIB python$* -c "import matplotlib as m ; m.test(verbosity=1)"
+#	LIB=$$(python$$*-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
+#	PYTHONPATH=$$LIB python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
+#endif
+
 	touch $@
 
 
@@ -44,7 +55,7 @@
 	done
 
 	# clean the doc
-	( cd doc ; ./make.py clean )
+	-( cd doc ; ./make.py clean )
 
 	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
 	rm -rf doc/build doc/examples
@@ -63,6 +74,8 @@
 	rm -rf build
 	rm -rf lib/matplotlib.egg-info
 
+	# restore "pristine" doc/matplotlibrc
+	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc
 
 # install
 install-arch: build-arch $(PYVERS:%=install-%-stamp)
@@ -113,8 +126,10 @@
 	dh_testroot -i
 	dh_installchangelogs -i CHANGELOG
 	dh_installdocs -p$(pd) -i doc/build/html/ doc/build/latex/Matplotlib.pdf
+	# remove pyc file from doc
+	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs rm -f
 	dh_installexamples -p$(pd) -i examples/*
-	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js
+	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
 	ln -sf /usr/share/javascript/jquery/jquery.js \
 		$(CURDIR)/debian/$(pd)/usr/share/doc/python-matplotlib-doc/html/_static/jquery.js
 	dh_link -i
