## matplotlib 1.1.0

=== debian/changelog ===
matplotlib (1.1.0-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Feb 2012 09:54:01 +0100

matplotlib (1.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - remove Alexandre from Uploaders: thanks for all the work!
  * debian/rules
    - install debug files where gdb looks for them
    - removed some doc files no more present in upstream tarball
    - don't install baseline_images dir, contains images only needed for tests
      and takes a lot of disk space
  * debian/copyright
    - updated to new release
  * debian/patches/*
    - updated/deleted/refreshed as per new code

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Oct 2011 17:32:16 +0200
