=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
@@ -17,8 +18,8 @@
                python-epydoc,
                python-gtk2-dev,
                python-imaging,
-               python-numpy (>= 1:1.3.0),
-               python-numpy-dbg (>= 1:1.3.0),
+               python-numpy (>= 1:1.5.1-4),
+               python-numpy-dbg (>= 1:1.5.1-4),
                python-pkg-resources,
                python-qt-dev,
                python-qt4,
@@ -39,7 +40,7 @@
                tk8.5-dev,
                zlib1g-dev
 XS-Python-Version: all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://matplotlib.sf.net/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/
@@ -50,7 +51,6 @@
          python-dateutil,
          python-gobject,
          python-matplotlib-data (>= ${source:Version}),
-         python-numpy (>= 1:1.3.0),
          python-pyparsing,
          python-tz,
          ${misc:Depends},
