## matplotlib 1.1.1~rc1+git20120423

=== debian/changelog ===
matplotlib (1.1.1~rc1+git20120423-0ubuntu1) precise; urgency=low

  * New snapshot from the v1.1.x branch
    Commit eb0ded729d732abe21daf4562c4f76034e16856f
  * add fix-deadlock.patch to fix a deadlock during doc building

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 23 Apr 2012 20:21:23 +0200
