=== debian/control ===
--- 
+++ 
@@ -1,37 +1,30 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,
                graphviz,
-               ipython,
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
                python-all-dbg (>= 2.4.4-6),
                python-all-dev (>= 2.3.5-7),
-               python-configobj,
                python-dateutil,
-               python-epydoc,
                python-gtk2-dev,
                python-imaging,
+               python-nose,
                python-numpy (>= 1:1.5.1-4),
                python-numpy-dbg (>= 1:1.5.1-4),
                python-pkg-resources,
-               python-qt-dev,
                python-qt4,
-               python-qt4-dev,
                python-setuptools,
-               python-sphinx (>= 0.5.1),
+               python-sphinx (>= 1.0.7+dfsg),
                python-support (>= 1.0.0),
                python-tk (>= 2.5.2-1.1),
-               python-traits (>= 2.0),
                python-tz,
                python-wxgtk2.8,
-               python-wxgtk2.8-dbg,
                python-xlwt,
                tcl8.5-dev,
                texlive-fonts-recommended,
@@ -65,7 +58,6 @@
           python-excelerator,
           python-gtk2,
           python-matplotlib-doc,
-          python-qt3,
           python-qt4,
           python-scipy,
           python-traits (>= 2.0),
@@ -81,7 +73,7 @@
 
 Package: python-matplotlib-data
 Architecture: all
-Depends: ttf-lyx, ${misc:Depends}
+Depends: fonts-lyx, ${misc:Depends}
 Description: Python based plotting system (data package)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to
