=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	echo "examples.directory : $(CURDIR)/sampledata" >> $(CURDIR)/doc/matplotlibrc
 
 	# build the doc
-	-( cd doc ; MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
+	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
 		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )
 
 	touch $@
@@ -34,12 +34,27 @@
 	python$* ./setup.py build $(PY_BUILD_FLAGS)
 	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)
 
-#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#	LIB=$$(python$$* -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
-#	PYTHONPATH=$$LIB python$* -c "import matplotlib as m ; m.test(verbosity=1)"
-#	LIB=$$(python$$*-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
-#	PYTHONPATH=$$LIB python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
-#endif
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "datapath : $(CURDIR)/lib/matplotlib/mpl-data/" > matplotlibrc
+	-PYTHONPATH=$(shell python$* -c "from distutils.command.build import build ; \
+	                                from distutils.core import Distribution ; \
+					b = build(Distribution()) ; \
+					b.finalize_options() ; \
+					print b.build_platlib") \
+	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
+	MPLCONFIGDIR=. \
+		python$* -c "import matplotlib as m ; m.test(verbosity=1)"
+
+	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
+	                                    from distutils.core import Distribution ; \
+					    b = build(Distribution()) ; \
+					    b.finalize_options() ; \
+					    print b.build_platlib") \
+	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
+	MPLCONFIGDIR=. \
+		python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
+	rm -f matplotlibrc
+endif
 
 	touch $@
 
@@ -134,9 +149,8 @@
 	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs rm -f
 	dh_installexamples -p$(pd) -i examples/*
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
-	ln -sf /usr/share/javascript/jquery/jquery.js \
-		$(CURDIR)/debian/$(pd)/usr/share/doc/python-matplotlib-doc/html/_static/jquery.js
 	dh_link -i
+	dh_sphinxdoc
 	dh_lintian -i
 	dh_fixperms -i
 	dh_installdeb -i
