## matplotlib 1.1.1

=== debian/changelog ===
matplotlib (1.1.1-1) experimental; urgency=low

  * New upstream release
    - Closes: #680883; thanks to Yannick Roehlly for the report
  * debian/control
    - add ghostscript and inkscape to b-d, needed to run tests

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Aug 2012 20:15:53 +0200
